module AD9238_test(
	input CLK50M, 
	input [11:0]ADCA_IN,
	input [11:0]ADCB_IN,
	output ADCA_CLK,
	output ADCB_CLK,
	
	output [11:0]ADCA_DB,
	output [11:0]ADCB_DB,

	output CS_N,
	output DIN,
	output SCLK
);
	
	wire CLK;
	
	wire [11:0]DA_Data;

	pll pll(
		.inclk0(CLK50M),
		.c0(CLK)
	);

	AD9238 AD9238_inst0(
		.CLK(CLK), 
		.AD_IN(ADCA_IN),
		.AD_CLK(ADCA_CLK), 
		.AD_OUT(ADCA_DB)
	);

	AD9238 AD9238_inst1(
		.CLK(CLK), 
		.AD_IN(ADCB_IN),
		.AD_CLK(ADCB_CLK), 
		.AD_OUT(ADCB_DB)
	);
	
	DDS2(
		.Clk(CLK),
		.Rst_n(1),
		.CS_N(CS_N),
		.DIN(DIN),
		.SCLK(SCLK)
	);

endmodule
