/***************************************************
*	Module Name		:	DDS2		   
*	Engineer		   :	小梅哥
*	Target Device	:	EP4CE10F17C8
*	Tool versions	:	Quartus II 13.0
*	Create Date		:	2017-06-25
*	Revision		   :	v1.1
*	Description		:  AC620开发板双通道信号发生器工程顶层
**************************************************/

module DDS2(
	Clk,
	Rst_n,
	CS_N,
	DIN,
	SCLK
);
	input Clk;		//为控制器的工作时钟，频率为50MHz
	input Rst_n;	//控制器复位，低电平复位
	output CS_N;	//TLV5618的CS_N接口
	output DIN;		//TLV5618的DIN接口
	output SCLK;	//TLV5618的SCLK接口
	
	wire [9:0]DA_Data0,DA_Data1;	//DDS输出的波形数据
	wire [11:0]DATA_A,DATA_B;	//送给DAC通道的波形数据（幅度受控）
	
	assign DATA_A = {DA_Data0,2'b00};
	assign DATA_B = {DA_Data1,2'b00};

	DDS_Module DDS_Module0(
		.Clk(Clk),
		.Rst_n(Rst_n),
		.EN(1),
		.Fword(1321528),
		.Pword(0),
		.DA_Clk(),
		.DA_Data(DA_Data0)
	);
	
	DDS_Module DDS_Module1(
		.Clk(Clk),
		.Rst_n(Rst_n),
		.EN(1),
		.Fword(1321528),
		.Pword(0),
		.DA_Clk(),
		.DA_Data(DA_Data1)
	);
	
	DAC_2CH DAC_2CH(
		.Clk(Clk),
		.Rst_n(Rst_n),
		.DATA_A(DATA_A),
		.DATA_B(DATA_B),
		.CS_N(CS_N),
		.DIN(DIN),
		.SCLK(SCLK)
	);

endmodule
